@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,400;1,700&display=swap');

html, body {
  overflow-x: hidden;
}

html {
  scroll-behavior: smooth;

  --clr-blue-dark: #0e1b36;
  --clr-blue-dark-20: #0e1b3633;
  --clr-blue-dark-10: #0e1b361a;
  --clr-blue: #0054e9;
  --clr-white-70: #ffffffb3;
  --clr-white-50: #ffffff80;
  --clr-white-25: #ffffff40;
  --clr-white-12: #ffffff1f;
  --clr-white-6: #ffffff0f;
  --clr-grey-dark: #6e798e;
  --clr-grey-pale: #f4f4f6;
  --clr-black-70: #000000b3;
  --clr-black-50: #00000080;
  --clr-gold: #f6b412;
  
  --font-inter: 'Inter', sans-serif;

  --tra-short: 250ms;
  --tra-mid: 500ms;
  
  --height-header: 70px;
}

body, input, button {
  font-family: var(--font-inter);
  font-size: 16px;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings: "slnt" 0;
  transition: var(--tra-mid);
}

body {
  margin: 0;
  background: black;
}

a {
  color: inherit;
  text-underline-offset: 2px;
  transition: var(--tra-short);
}

.bold-registration {
  color: var(--clr-blue);
}

h1 {
  font-size: 3em;
  line-height: 1;
}

main, section, footer {
  padding: 1em max(1em, 5vw, calc((100vw - 65em) / 2));
}

section, .full-width {
  margin-left: min(-1em, -5vw, calc((100vw - 65em) / -2));
  margin-right: min(-1em, -5vw, calc((100vw - 65em) / -2));
}

button {
  background: var(--clr-blue);
  color: white;
  border: 0;
  border-radius: 2em;
  padding: 1em 2em;
  white-space: nowrap;
  font-weight: 500;
  cursor: pointer;
}

button:active {
  background: var(--clr-gold);
}

.wp-block-image :where(figcaption) {
  color: inherit;
}

.small-title {
  color: var(--clr-blue);
  text-transform: uppercase;
  letter-spacing: 3px;
  font-size: 14px;
  font-weight: 600px;
}

/******************** HEADER AND FOOTER ********************/

header, footer {
  background: var(--clr-blue-dark);
  color: white;
}

header a, footer a, .menu a {
  text-decoration: none;
}

header a:hover, footer a:hover, .menu a:hover {
  text-decoration: underline;
}

header .logo, footer .logo {
  width: 2em;
  display: block;
}

header {
  height: var(--height-header);
  padding-left: max(2em, 2vw);
  display: flex;
  align-items: center;
}

.menu {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 9;
  border-radius: 1em 0 0 1em;
  transition: var(--tra-mid);
}

.menu > div {
  position: absolute;
  top: 0;
  right: 0.5em;
  z-index: 9;
  height: var(--height-header);
  display: flex;
  align-items: center;
}

.menu > div > div {
  background-color: var(--clr-blue-dark);
  border-radius: 0.75em;
  display: flex;
  justify-content: end;
  align-items: center;
  transition: var(--tra-mid);
}

.menu.nav-open > div > div {
  background-color: initial;
}

.menu nav {
  background: var(--clr-blue);
  color: white;
  padding: var(--height-header) 2em 1.5em 1.5em;
  transition: var(--tra-short);
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  gap: 1em;
  border-radius: 1em 0 0 1em;
  transform: translateX(100%);
}

.menu.nav-open nav {
  transform: translateX(0);
}

.menu nav a {
  font-weight: 500;
}

.menu #nav-icon2 {
  width: 60px;
  height: 45px;
  position: relative;
  transform: scale(0.4) rotate(0deg);
  transition: .5s ease-in-out;
  cursor: pointer;
}

.menu #nav-icon2 span {
  display: block;
  position: absolute;
  height: 5px;
  width: 50%;
  background: white;
  opacity: 1;
  transform: rotate(0deg);
  transition: .25s ease-in-out;
}

.menu #nav-icon2 span:nth-child(even) {
  left: 50%;
}

.menu #nav-icon2 span:nth-child(odd) {
  left: 0px;
}

.menu #nav-icon2 span:nth-child(1), .menu #nav-icon2 span:nth-child(2) {
  top: 0px;
}

.menu #nav-icon2 span:nth-child(3), .menu #nav-icon2 span:nth-child(4) {
  top: 18px;
}

.menu #nav-icon2 span:nth-child(5), .menu #nav-icon2 span:nth-child(6) {
  top: 36px;
}

.menu.nav-open #nav-icon2 span:nth-child(1), .menu.nav-open #nav-icon2 span:nth-child(6) {
  transform: rotate(45deg);
}

.menu.nav-open #nav-icon2 span:nth-child(2), .menu.nav-open #nav-icon2 span:nth-child(5) {
  transform: rotate(-45deg);
}

.menu.nav-open #nav-icon2 span:nth-child(1) {
  left: 5px;
  top: 7px;
}

.menu.nav-open #nav-icon2 span:nth-child(2) {
  left: calc(50% - 5px);
  top: 7px;
}

.menu.nav-open #nav-icon2 span:nth-child(3) {
  left: -50%;
  opacity: 0;
}

.menu.nav-open #nav-icon2 span:nth-child(4) {
  left: 100%;
  opacity: 0;
}

.menu.nav-open #nav-icon2 span:nth-child(5) {
  left: 5px;
  top: 29px;
}

.menu.nav-open #nav-icon2 span:nth-child(6) {
  left: calc(50% - 5px);
  top: 29px;
}

footer {
  padding-top: 0;
  padding-bottom: 0;
}

footer .columns {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 3em max(1em, 10vw);
  padding-top: 3em;
  padding-bottom: 3em;
}

@media (min-width: 750px) {
  footer .columns {
    flex-wrap: nowrap;
  }
}

footer .columns .menus {
  display: flex;
  gap: max(1em, 5vw);
}

footer .columns .menus h3 {
  margin-top: 0;
}

footer .columns .menus nav {
  flex-direction: column;
}

footer nav {
  display: flex;
  gap: 1em;
}

footer .socials {
  font-size: 1.75em;
}

footer .bottom-strip {
  border-top: 1px solid var(--clr-white-25);
  padding-top: 2em;
  padding-bottom: 2em;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: max(1em, 5vw);
  flex-wrap: wrap;
}

footer .bottom-strip p {
  margin: 0;
}

/******************** HOME PAGE ********************/

.home main {
  padding-top: 0;
  padding-bottom: 0;
  background-color: white;
}

/* BANNER SECTION */

.home .banner {
  background-image: linear-gradient(to right, #091224bf 0%, #0912243f 100%), url(/wp-content/uploads/sites/18/2024/11/Banner-Sample-NEW.webp);
  background-position: center, center 65%;
  background-size: cover;
  color: white;
  padding-top: 2em;
  padding-bottom: 220px;
  margin-bottom: -200px;
  display: grid;
  gap: 2em max(1em, 5vw);
  align-items: end;
}

@media (min-width: 900px) {
  .home .banner {
    padding-top: 4em;
    grid-template-columns: auto auto;
    padding-bottom: 250px;
  }
}

.home .banner .subhead1 {
  margin-bottom: 0;
}

.home .banner .subhead2 {
  margin-top: 0.5em;
}

@media (min-width: 500px) {
  .home .banner .subhead2 {
    margin-top: 0;
  }
}

.home .banner .countdown-wrapper {
  border-radius: 1em;
  background: var(--clr-white-12);
  backdrop-filter: blur(5px);
  padding: 1em 1em 1em 1.5em;
  justify-self: start;
}

@media (min-width: 900px) {
  .home .banner .countdown-wrapper {
    justify-self: end;
  }
}

.home .banner .countdown {
  display: inline-grid;
  grid-template-columns: repeat(4, auto);
  gap: 4px 14px;
  margin: 0 auto;
}
    
.home .banner .countdown>*:nth-child(1), .home .banner .countdown>*:nth-child(2), .home .banner .countdown>*:nth-child(3), .home .banner .countdown>*:nth-child(4) {
  font-size: 1.75em;
  font-weight: 600;
}

.home .banner .countdown>*:nth-child(1) {
  padding-right: 10px;
}

.home .banner .countdown>*:nth-child(2), .home .banner .countdown>*:nth-child(3), .home .banner .countdown>*:nth-child(4) {
  width: 46px;
  padding: 0;
  display: flex;
}

.home .banner .countdown>*:nth-child(5), .home .banner .countdown>*:nth-child(6), .home .banner .countdown>*:nth-child(7), .home .banner .countdown>*:nth-child(8) {
  font-size: 0.7em;
  text-transform: uppercase;
  color: var(--clr-white-50);
}	

.home .banner .countdown>*:nth-child(5), .home .banner .countdown>*:nth-child(7), .home .banner .countdown>*:nth-child(8) {
  padding-left: 3px;
}

/* SPEAKERS SECTION */

.home .speakers::-webkit-scrollbar {
  display: none;        /* hide scrollbar for Chrome, Safari and Opera */
}

.home .speakers {
  height: 400px;
  display: flex;
  align-items: end;
  gap: 1em;
  overflow: auto;
  -ms-overflow-style: none;  /* hide scrollbar forIE and Edge */
  scrollbar-width: none;  /* hide scrollbar for Firefox */
  padding-left: 2em;
  padding-right: 2em;
  scroll-snap-type: x mandatory;
}

.home .speakers .card {
  background: #ffb900;
  color: white;
  border-radius: 1em;
  overflow: hidden;
  flex-shrink: 0;
  position: relative;
  transition: var(--tra-mid);
  position: relative;
  height: 340px;
  width: 240px;
  perspective: 500px;
  cursor: pointer;
  scroll-snap-align: center;
}

.home .speakers .card.hovered {
  padding-bottom: 2.5em;
}

.home .speakers .card .content {
  position: absolute;
  width: 100%;
  height: 100%;
  transition: transform 1s;
  transform-style: preserve-3d;
}

.home .speakers .card.flipped .content {
  transform: rotateY( 180deg ) ;
  transition: transform 0.5s;
}

.home .speakers .front, .home .speakers .back {
  position: absolute;
  height: 100%;
  width: 100%;
  backface-visibility: hidden;
  box-sizing: border-box;
}

.home .speakers .front {
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center;
  gap: 1em;
}

.home .speakers .front > p {
  margin: 0;
}

.home .speakers .front > p:nth-child(1) {
  font-weight: bold;
}

.home .speakers .front > p:nth-child(2) {
  color: var(--clr-white-70);
}

.home .speakers .card .front img {
  display: block;
  width: 100%;
  aspect-ratio: 1;
  object-fit: contain;
  filter: saturate(0);
  transition: var(--tra-mid);
}

.home .speakers .card.hovered .front img {
  filter: saturate(1);
  margin-bottom: 2.5em;
}

.home .speakers .front > button {
  position: absolute;
  width: 200px;
  bottom: -3.5em;
  left: 50%;
  transform: translateX(-50%);
  transition: var(--tra-mid);
  box-sizing: border-box;
}

.home .speakers .card.hovered .front button {
  bottom: 1em;
}

.home .speakers .back {
  transform: rotateY(180deg);
  overflow: auto;
  padding: 0.5rem 1.5rem;
  color: var(--clr-white-70);
  font-size: 14px;
}

/* AGENDA SECTION */

.home .agenda {
  display: grid;
  gap: 1em max(1em, 5vw);
  justify-content: space-between;
  background-image: radial-gradient(circle at 50% 125%, rgba(0,83,255,0.1) 0%, rgba(0,83,255,0) 50%);
  padding-top: 4em;
  padding-bottom: 2em;
}

@media (min-width: 750px) {
  .home .agenda {
    grid-template-columns: 1fr 2fr;
    background-image: radial-gradient(at 50% 125%, rgba(0,83,255,0.1) 0%, rgba(0,83,255,0) 50%);
  }
}

.home .agenda .tabs {
  border-bottom: 1px solid var(--clr-blue-dark-10);
  margin-bottom: 1em;
  font-size: 1.2em;
  font-weight: bold;
  display: flex;
  gap: 2em;
}

.home .agenda .tabs span {
  padding-bottom: 0.5em;
  cursor: pointer;
}

.home .agenda .tabs[data-active="1"] [data-day="1"], .home .agenda .tabs[data-active="2"] [data-day="2"], .home .agenda .tabs[data-active="3"] [data-day="3"] {
  border-bottom: 3px solid var(--clr-blue);
}

.home .agenda .tab-content {
  display: none;
}

.home .agenda .tabs[data-active="1"] ~ .tab-content[data-day="1"], .home .agenda .tabs[data-active="2"] ~ .tab-content[data-day="2"], .home .agenda .tabs[data-active="3"] ~ .tab-content[data-day="3"] {
  display: block;
}

.home .agenda .tab-content table {
  width: auto;
  margin-bottom: 0;
}

.home .agenda .tab-content td {
  border: 0;
  padding: 0.5em 1.5em 0.5em 0;
  vertical-align: baseline;
}

.home .agenda .tab-content td:first-child {
  color: var(--clr-grey-dark);
  text-transform: uppercase;
  letter-spacing: 3px;
  font-size: 14px;
  font-weight: 600px;
}

/* WORKSHOPS SECTION */

.home .workshops {
  display: grid;
  gap: 1em max(1em, 5vw);
  justify-content: space-between;
  background-image: radial-gradient(circle at 50% 125%, rgba(0,83,255,0.1) 0%, rgba(0,83,255,0) 50%);
  padding-top: 4em;
  padding-bottom: 2em;
}

@media (min-width: 750px) {
  .home .workshops {
    grid-template-columns: 1fr 2fr;
    background-image: radial-gradient(at 50% 125%, rgba(0,83,255,0.1) 0%, rgba(0,83,255,0) 50%);
  }
}

.home .workshops .tabs {
  border-bottom: 1px solid var(--clr-blue-dark-10);
  margin-bottom: 1em;
  font-size: 1.2em;
  font-weight: bold;
  display: flex;
  gap: 2em;
}

.home .workshops .tabs span {
  padding-bottom: 0.5em;
  cursor: pointer;
}

.home .workshops .tabs[data-active="1"] [data-workshops="1"], .home .workshops .tabs[data-active="2"] [data-workshops="2"], .home .workshops .tabs[data-active="3"] [data-workshops="3"] {
  border-bottom: 3px solid var(--clr-blue);
}

.home .workshops .tab-content {
  display: none;
}

.home .workshops .tabs[data-active="1"] ~ .tab-content[data-workshops="1"], .home .workshops .tabs[data-active="2"] ~ .tab-content[data-workshops="2"], .home .workshops .tabs[data-active="3"] ~ .tab-content[data-workshops="3"] {
  display: block;
}

.home .workshops .tab-content table {
  width: auto;
  margin-bottom: 0;
}

.home .workshops .tab-content td {
  border: 0;
  padding: 0.5em 1.5em 0.5em 0;
  vertical-align: baseline;
}

/*.home .workshops .tab-content td:first-child {
  color: var(--clr-grey-dark);
  text-transform: uppercase;
  letter-spacing: 3px;
  font-size: 14px;
  font-weight: 600px;
}  FOR WORKSHOPS' FIRST CHILD TO BE IN UPPERCASE*/

/* PRICING SECTION */

.home .pricing {
  padding-top: 3em;
  background: linear-gradient(180deg, white 50%, var(--clr-blue-dark) 50%);
}

.home .pricing h2 {
  text-align: center;
}

.home .pricing .floating-box {
  background: white;
  border-radius: 1em;
  padding: 2em;
  box-shadow: 0 0 10px var(--clr-blue-dark-10);
  display: grid;
  gap: 1em max(1em, 5vw);
}

.home .pricing .floating-box .register-button {
  margin-top: 2em;
}

@media (min-width: 750px) {
  .home .pricing .floating-box {
    grid-template-columns: 1fr 1fr;
  }

  .home .pricing .floating-box > :nth-child(2) {
    grid-column: 1;
    grid-row: 2;
  }

  .home .pricing .floating-box > :nth-child(3) {
    grid-column: 2;
    grid-row: 1;
  }

  .home .pricing .floating-box .register-button {
    grid-column: 1 / span 2;
  }
}


.home .pricing .fa-ul {
  display: flex;
  flex-direction: column;
  gap: 1em;
  margin-top: 0;
  margin-bottom: 0;
}

.home .pricing .fa-li {
  color: var(--clr-blue);
}

/* FAQ SECTION */

.home #faq {
  background-color: var(--clr-blue-dark);
  color: white;
  display: grid;
  gap: 1em clamp(1em, 5vw, 2em);
  padding-top: 4em;
  padding-bottom: 4em;
}

@media (min-width: 750px) {
  .home #faq {
    grid-template-columns: 15em 1fr;
    grid-template-rows: 1fr auto;
  }
}

.home #faq .accordion {
	display: grid;
	gap: 0.5em;
	list-style-type: none;
	margin: 0;
	padding: 0;
}

@media (min-width: 750px) {
  .home #faq .accordion {
    grid-column: 2;
    grid-row: 1 / span 2;
  }
}

.home #faq .accordion > li {
  background: var(--clr-white-6);
  color: white;
  border-radius: 5px;
  padding: 1em;
}

.home #faq .accordion > li > * {
  -webkit-user-select: none;
  user-select: none;
}

.home #faq .accordion > li > *:first-child {
	font-weight: 600;
	font-size: 1.25em;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1em;
	cursor: pointer;
}

.home #faq .accordion > li > *:first-child::after {
	content: '+';
  color: var(--clr-white-50);
  font-size: 1.5em;
  position: relative;
  top: -2px;
}

.home #faq .accordion > li.expanded > *:first-child::after {
	content: '–';
	margin-right: 2px;
}

.home #faq .accordion > li > *:last-child {
  color: var(--clr-white-70);
	box-sizing: border-box;
	overflow: hidden;
	height: 0;
	transition: all 0.5s;
}

.home #faq .accordion > li.expanded > *:last-child {
  margin-top: 1em;
  border-top: 1px solid var(--clr-white-25);
}

.home #faq a:hover {
  color: white;  
}

.home #faq .ask-different {
  text-decoration: none;
  color: var(--clr-white-70);
}

.home #faq .ask-different:hover {
  border-bottom: 1px solid white;
}

/* MEMORIES SECTION */

.home .memories {
  padding-top: 3em;
  padding-bottom: 4em;
}

.home .memories h2 {
  text-align: center;
}

.home .memories .gallery::-webkit-scrollbar {
  display: none;        /* hide scrollbar for Chrome, Safari and Opera */
}

.home .memories .gallery {
  margin-top: 3em;
  display: grid;
  grid-template-rows: 200px 200px;
  grid-auto-flow: column dense;
  grid-auto-columns: 110px;
  gap: 10px;
  padding-left: 20px;
  padding-right: 20px;
  overflow: auto;
  -ms-overflow-style: none;  /* hide scrollbar forIE and Edge */
  scrollbar-width: none;  /* hide scrollbar for Firefox */
}

.home .memories .gallery img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

/* CALL TO ACTION SECTION */

.home .call-to-action {
  background: var(--clr-blue-dark);
  color: white;
  padding-top: 3em;
  padding-bottom: 3em;
  border-bottom: 1px solid var(--clr-white-25);
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 2em;
}

.home .call-to-action p {
  margin: 0;
  font-weight: bold;
}

.home .call-to-action p:first-child {
  font-size: clamp(1em, 3vw, 2.5em);
  margin-bottom: 5px;
}

.home .call-to-action p:last-child {
  font-size: clamp(1.25em, 4vw, 3em);
}

/******************** CONTACT PAGE ********************/

.page-id-105 main {
  background-color: var(--clr-grey-pale);
  padding: 1em max(1em, 5vw, calc((100vw - 32em) / 2));
}

/******************** OVERRIDES ********************/

.pt0 {padding-top: 0;}
.pb0 {padding-bottom: 0;}
.mt0 {margin-top: 0;}
.mb0 {margin-bottom: 0;}
.mb10 {margin-bottom: 10px;}
.w100 {width: 100%;}
.center-text {text-align: center;}
.hidden {display: none;}
